Subject: bug#50506: 28.0.50; display-line-numbers equivalent for linum-format?

From: Eli Zaretskii <[email-masked]>
Date: Sat, 11 Sep 2021 14:53:49 +0300

> From: Michael Gallagher - NOAA Affiliate <[email-masked]>
> Date: Fri, 10 Sep 2021 10:00:47 -0600
> Cc: [email-masked]
> 
> Thanks for taking the time to respond. The separator character I use is simply the 'pipe' character, "|". The
> purpose for me is to clearly delineate the text/code from the line numbers in a way that makes it easier to
> grok the text being displayed. My brain sees the numbers as part of the code with the current formatting of
> display-line-numbers, but maybe I'm uniquely incapable. 

If the intent is to provide a new user option to display such a
character after the number, I don't object.  But please note the
following subtle aspects of such a change:

  . since you'd probably want to make the character customizable, and
    non-ASCII characters are sometimes desired, there will be a need
    to make sure such a non-ASCII character can be displayed before
    honoring the customization

  . on some displays, the pipe character "|" isn't tall enough, so the
    vertical line is not contiguous

  . there's a problem with doing this for right-to-left lines, because
    the character should then be before the number, not after it, but
    (due to complicated reasons I will not describe here) when the
    line number is prepared for display, the display code doesn't
    necessarily know whether the line is R2L or L2R